Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.editor.datamodel
Class HMTerrainData

    java.lang.Object
      de.rico.editor.datamodel.MeshData
          de.rico.editor.datamodel.HMTerrainData

    public class HMTerrainData

extends MeshData

This class represents the heightmap terrain data model in the editor.

Author:
  Frank Bruns

Constructor Summary
`HMTerrainData(java.lang.String path, java.lang.String name, java.lang.String tex, Point3D pos, Point3D rot, int res, int gridNodeSize, boolean rotate, boolean flip, boolean smooth)`

Method Summary
`int` | `getGridNodeSize()` Return the grid node size.
`int` | `getResFactor()` Returns the terrain's resolution factor.

Methods inherited from class de.rico.editor.datamodel.MeshData
`getBoundingVolumeType, getFilePath, getName, getPosition, getRotation, getSmooth, getTexFlip, getTexPath, getTexRot, isShadowCaster`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HMTerrainData

    public HMTerrainData(java.lang.String path,
                         java.lang.String name,
                         java.lang.String tex,
                         Point3D pos,
                         Point3D rot,
                         int res,
                         int gridNodeSize,
                         boolean rotate,
                         boolean flip,
                         boolean smooth)

Method Detail

### getResFactor

    public int getResFactor()

  Returns the terrain's resolution factor.

  Returns:
    terrain resolution factor

### getGridNodeSize

    public int getGridNodeSize()

  Return the grid node size.

  Returns:
    grid node size

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD